Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231679 - Review Request: synce-serial - Serial connection support for Pocket PC devices
Summary: Review Request: synce-serial - Serial connection support for Pocket PC devices
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: 231680 231681
TreeView+ depends on / blocked
 
Reported: 2007-03-09 22:19 UTC by Aurelien Bompard
Modified: 2014-06-17 06:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 21:21:43 UTC
andreas.bierfert: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Aurelien Bompard 2007-03-09 22:19:43 UTC
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/synce-serial.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/synce-serial-0.9.1-1.src.rpm
Description:
Synce-serial is part of the SynCE project: http://www.synce.org
This module contains helper scripts for setting up a serial connection for use
with SynCE. They are basically wrappers around pppd:
  synce-serial-config  - Use this to select serial port and IP adresses
  synce-serial-start   - Use this to start connection
  synce-serial-abort   - Use this to abort a connection
Please read the included README.Fedora for details

SynCE is already in Fedora Extras, but in the form of a monolithic package : all the components are in the same RPM. I've splitted it, this is one of the components.

Comment 1 Aurelien Bompard 2007-04-02 09:10:17 UTC
* Mon Apr 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-2
- fix typo in description
- make udev rules %%config(noreplace)

http://gauret.free.fr/fichiers/rpms/fedora/synce/synce-serial-0.9.1-2.src.rpm

Comment 2 Andreas Bierfert 2007-04-27 09:44:09 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * OK: rpmlint W: synce-serial devel-file-in-non-devel-package
/usr/bin/synce-serial-config this is not a devel file so the warning can be ignored
 * OK: package is named according to the guidelines
 * OK: spec file name matches base package name
 * OK: package meets packaging guidelines
 * OK: license
 * OK: license field matches actual license
 * OK: license is not included as own file and thus is not included in %doc
 * OK: Spec file seems to be in AE
 * OK: no obfuscated code spec
 * OK: sources match upstream:
77f8879486469118386fb7429ec5a794  synce-serial-0.9.1.tar.gz
77f8879486469118386fb7429ec5a794 
/homes/awjb/rpmbuild/SOURCES/synce-serial-0.9.1.tar.gz
 * OK: Builds fine on x86_64/fc6
 * OK: BR seem fine
 * OK: package has no locale support
 * OK: ldconfig is not needed 
 * OK: package is not explicitly designed to be relocatable
 * OK: does not create own dirs
 * OK: no duplicate files in file listing
 * OK: %defattr and permissions seem ok
 * OK: %clean section is present
 * OK: macros are used consistently
 * OK: content is ok
 * OK: no doc package needed
 * OK: %doc files do not affect runtime
 * OK: no header files
 * OK: no static lib
 * OK: pkgconfig is not needed
 * OK: no .so file
 * OK: no devel package
 * OK: package does not contain .la archives
 * OK: no .desktop needed
 * OK: does not own files/directories from other packages
 * OK: buildroot is rm at beginning of install
 * OK: filenames seem to be valid utf8

Package 297b755c883c6d5d98cf69559796d02a  synce-serial-0.9.1-2.src.rpm
APPROVED with the following patch:

- --- synce-serial.spec.1	2007-04-27 11:42:27.000000000 +0200
+++ synce-serial.spec	2007-04-27 11:40:48.000000000 +0200
@@ -23,17 +23,14 @@
 
 Please read the included README.Fedora for details
 
- -
 %prep
 %setup -q
 cp -p %{SOURCE1} README.Fedora
 
- -
 %build
 %configure
 make %{?_smp_mflags}
 
- -
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
@@ -42,16 +39,9 @@
 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
 echo 'ACTION=="add", SUBSYSTEM=="usb_device", SYSFS{idVendor}=="0bb4",
SYSFS{idProduct}=="0a06", SYMLINK+="ipaq", RUN+="%{_bindir}/synce-serial-start"'
> $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-synce.rules
 
- -
 %clean
 rm -rf $RPM_BUILD_ROOT
 
- -
- -%post -p /sbin/ldconfig
- -
- -%postun -p /sbin/ldconfig
- -
- -
 %files
 %defattr(-,root,root,-)
 %doc README README.Fedora TODO LICENSE
@@ -60,8 +50,6 @@
 %{_mandir}/man8/synce-serial-*
 %config(noreplace) %{_sysconfdir}/udev/rules.d/*.rules
 
- -
- -
 %changelog
 * Mon Apr 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-2
 - fix typo in description
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGMcXCQEQyPsWM8csRAlQOAJ4hJdPfGNXuA3LSuAEMWBDwOJbrqACfWXpR
YxDkHbzmQFYlNn4ocjX2OWo=
=7QZc
-----END PGP SIGNATURE-----

Comment 3 Aurelien Bompard 2007-04-28 05:45:59 UTC
New Package CVS Request
=======================
Package Name: synce-serial
Short Description: Serial connection support for Pocket PC devices
Owners: andreas.bierfert@lowlatency.de,gauret@free.fr
Branches: FC-6
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.